Subject: Re: bug#19390: 25.0.50; `package-activate' is too slow

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Dec 2014 18:55:20 -0500

>> Do you remember the scenario where you saw that?  Normally, the
>> load-history contains the file names using the directory names that
>> appear in load-path, so while they're not "canonical",
> Actually, it seems to me that load-history does contain canonical names.
> At least, when the file being loaded is a symlink, the resulting record in
> load-history contains the path of the file it points to.  Same for a real
> file in a symlinked dir.

Hmm... OK, then that would explain why he needed to use file-truename.

        Stefan